diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -1238,20 +1055,20 @@ unmergeable_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "unmergeable_svalue2 (");
+      pp_string (pp, "unmergeable_svalue (");
       m_arg->dump_to_pp (pp, simple);
       pp_character (pp, ')');
     }
 }
 
-/* class compound_svalue2 : public svalue2.  */
+/* class compound_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-compound_svalue2::accept (visitor *v) const
+compound_svalue::accept (visitor *v) const
 {
-  v->visit_compound_svalue2 (this);
+  v->visit_compound_svalue (this);
   for (binding_map::iterator_t iter = m_map.begin ();
        iter != m_map.end (); ++iter)
     {
@@ -1261,7 +1078,7 @@ compound_svalue2::accept (visitor *v) const
 }
 
 void
-compound_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+compound_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -1271,7 +1088,7 @@ compound_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "compound_svalue2 (");
+      pp_string (pp, "compound_svalue (");
       // TODO: type?
       pp_string (pp, ", ");
       pp_character (pp, '{');
@@ -1284,7 +1101,7 @@ compound_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
 /* FIXME.  */
 
 complexity
-compound_svalue2::calc_complexity (const binding_map &map)
+compound_svalue::calc_complexity (const binding_map &map)
 {
   unsigned num_child_nodes = 0;
   unsigned max_child_depth = 0;
@@ -1298,19 +1115,19 @@ compound_svalue2::calc_complexity (const binding_map &map)
   return complexity (num_child_nodes + 1, max_child_depth + 1);
 }
 
-/* class conjured_svalue2 : public svalue2.  */
+/* class conjured_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-conjured_svalue2::accept (visitor *v) const
+conjured_svalue::accept (visitor *v) const
 {
-  v->visit_conjured_svalue2 (this);
+  v->visit_conjured_svalue (this);
   m_id_reg->accept (v);
 }
 
 void
-conjured_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+conjured_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -1322,7 +1139,7 @@ conjured_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "conjured_svalue2 (");
+      pp_string (pp, "conjured_svalue (");
       // TODO: type?
       pp_string (pp, ", ");
       pp_gimple_stmt_1 (pp, m_stmt, 0, (dump_flags_t)0);
@@ -1332,12 +1149,12 @@ conjured_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
 }
 
-/* class region2 and its various subclasses.  */
+/* class region and its various subclasses.  */
 
 /* Get a string for KIND for use in debug dumps.  */
 
 const char *
-region2::kind_to_str (enum kind kind)
+region::kind_to_str (enum kind kind)
 {
   switch (kind)
     {
@@ -1364,9 +1181,9 @@ region2::kind_to_str (enum kind kind)
     }
 }
 
-/* class region2.  */
+/* class region.  */
 
-region2::~region2 ()
+region::~region ()
 {
   delete m_cached_offset;
 }
@@ -1374,18 +1191,18 @@ region2::~region2 ()
 /* FIXME.  */
 
 int
-region2::cmp_ids (const region2 *reg1, const region2 *reg2)
+region::cmp_ids (const region *reg1, const region *reg2)
 {
   return (long)reg1->get_id () - (long)reg2->get_id ();
 }
 
-/* Equality operator for region2.
+/* Equality operator for region.
    After comparing base class fields and kind, the rest of the
    comparison is handled off to a "compare_fields" member function
    specific to the appropriate subclass.  */
 
 bool
-region2::operator== (const region2 &other) const
+region::operator== (const region &other) const
 {
   if (m_parent != other.m_parent)
     return false;
@@ -1396,126 +1213,116 @@ region2::operator== (const region2 &other) const
   enum kind other_kind = other.get_kind ();
   if (this_kind != other_kind)
     return false;
-#if 0
-  /* Compare views.  */
-  if (m_view_regs.length () != other.m_view_regs.length ())
-    return false;
-  int i;
-  region2_id *rid;
-  FOR_EACH_VEC_ELT (m_view_regs, i, rid)
-    if (! (*rid == other.m_view_regs[i]))
-      return false;
-#endif
   switch (this_kind)
     {
     default:
       gcc_unreachable ();
     case RK_FRAME:
       {
-	const frame_region2 &this_sub
-	  = (const frame_region2 &)*this;
-	const frame_region2 &other_sub
-	  = (const frame_region2 &)other;
+	const frame_region &this_sub
+	  = (const frame_region &)*this;
+	const frame_region &other_sub
+	  = (const frame_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
 #if 0
     case RK_GLOBALS:
       {
-	const globals_region2 &this_sub
-	  = (const globals_region2 &)*this;
-	const globals_region2 &other_sub
-	  = (const globals_region2 &)other;
+	const globals_region &this_sub
+	  = (const globals_region &)*this;
+	const globals_region &other_sub
+	  = (const globals_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_CODE:
       {
-	const code_region2 &this_sub
-	  = (const code_region2 &)*this;
-	const code_region2 &other_sub
-	  = (const code_region2 &)other;
+	const code_region &this_sub
+	  = (const code_region &)*this;
+	const code_region &other_sub
+	  = (const code_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_FUNCTION:
       {
-	const function_region2 &this_sub
-	  = (const function_region2 &)*this;
-	const function_region2 &other_sub
-	  = (const function_region2 &)other;
+	const function_region &this_sub
+	  = (const function_region &)*this;
+	const function_region &other_sub
+	  = (const function_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_STACK:
       {
-	const stack_region2 &this_sub
-	  = (const stack_region2 &)*this;
-	const stack_region2 &other_sub
-	  = (const stack_region2 &)other;
+	const stack_region &this_sub
+	  = (const stack_region &)*this;
+	const stack_region &other_sub
+	  = (const stack_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_ROOT:
       {
-	const root_region2 &this_sub
-	  = (const root_region2 &)*this;
-	const root_region2 &other_sub
-	  = (const root_region2 &)other;
+	const root_region &this_sub
+	  = (const root_region &)*this;
+	const root_region &other_sub
+	  = (const root_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
 #endif
     case RK_SYMBOLIC:
       {
-	const symbolic_region2 &this_sub
-	  = (const symbolic_region2 &)*this;
-	const symbolic_region2 &other_sub
-	  = (const symbolic_region2 &)other;
+	const symbolic_region &this_sub
+	  = (const symbolic_region &)*this;
+	const symbolic_region &other_sub
+	  = (const symbolic_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
 #if 0
     case RK_HEAP:
       {
-	const heap_region2 &this_sub
-	  = (const heap_region2 &)*this;
-	const heap_region2 &other_sub
-	  = (const heap_region2 &)other;
+	const heap_region &this_sub
+	  = (const heap_region &)*this;
+	const heap_region &other_sub
+	  = (const heap_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
 #endif
     case RK_DECL:
       {
-	const decl_region2 &this_sub
-	  = (const decl_region2 &)*this;
-	const decl_region2 &other_sub
-	  = (const decl_region2 &)other;
+	const decl_region &this_sub
+	  = (const decl_region &)*this;
+	const decl_region &other_sub
+	  = (const decl_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_FIELD:
       {
-	const field_region2 &this_sub
-	  = (const field_region2 &)*this;
-	const field_region2 &other_sub
-	  = (const field_region2 &)other;
+	const field_region &this_sub
+	  = (const field_region &)*this;
+	const field_region &other_sub
+	  = (const field_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_ELEMENT:
       {
-	const element_region2 &this_sub
-	  = (const element_region2 &)*this;
-	const element_region2 &other_sub
-	  = (const element_region2 &)other;
+	const element_region &this_sub
+	  = (const element_region &)*this;
+	const element_region &other_sub
+	  = (const element_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_OFFSET:
       {
-	const offset_region2 &this_sub
-	  = (const offset_region2 &)*this;
-	const offset_region2 &other_sub
-	  = (const offset_region2 &)other;
+	const offset_region &this_sub
+	  = (const offset_region &)*this;
+	const offset_region &other_sub
+	  = (const offset_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     case RK_CAST:
       {
-	const cast_region2 &this_sub
-	  = (const cast_region2 &)*this;
-	const cast_region2 &other_sub
-	  = (const cast_region2 &)other;
+	const cast_region &this_sub
+	  = (const cast_region &)*this;
+	const cast_region &other_sub
+	  = (const cast_region &)other;
 	return this_sub.compare_fields (other_sub);
       }
     }
@@ -1523,10 +1330,10 @@ region2::operator== (const region2 &other) const
 
 /* FIXME.  */
 
-const region2 *
-region2::get_base_region () const
+const region *
+region::get_base_region () const
 {
-  const region2 *iter = this;
+  const region *iter = this;
   while (iter)
     {
       switch (iter->get_kind ())
@@ -1537,7 +1344,7 @@ region2::get_base_region () const
 	  iter = iter->get_parent_region ();
 	  continue;
 	case RK_CAST:
-	  iter = iter->dyn_cast_cast_region2 ()->get_original_region ();
+	  iter = iter->dyn_cast_cast_region ()->get_original_region ();
 	  continue;
 	default:
 	  return iter;
@@ -1549,7 +1356,7 @@ region2::get_base_region () const
 /* Return true if get_base_region() == this for this region.  */
 
 bool
-region2::base_region_p () const
+region::base_region_p () const
 {
   switch (get_kind ())
     {
@@ -1569,34 +1376,34 @@ region2::base_region_p () const
 // FIXME: unit test
 
 bool
-region2::descendent_of_p (const region2 *elder) const
+region::descendent_of_p (const region *elder) const
 {
-  const region2 *iter = this;
+  const region *iter = this;
   while (iter)
     {
       if (iter == elder)
 	return true;
       if (iter->get_kind () == RK_CAST)
-	iter = iter->dyn_cast_cast_region2 ()->get_original_region ();
+	iter = iter->dyn_cast_cast_region ()->get_original_region ();
       else
 	iter = iter->get_parent_region ();
     }
   return false;
 }
 
-/* If this region is a frame_region2, or a descendent of one, return it.
+/* If this region is a frame_region, or a descendent of one, return it.
    Otherwise return NULL.  */
 
-const frame_region2 *
-region2::maybe_get_frame_region () const
+const frame_region *
+region::maybe_get_frame_region () const
 {
-  const region2 *iter = this;
+  const region *iter = this;
   while (iter)
     {
-      if (const frame_region2 *frame_reg = iter->dyn_cast_frame_region2 ())
+      if (const frame_region *frame_reg = iter->dyn_cast_frame_region ())
 	return frame_reg;
       if (iter->get_kind () == RK_CAST)
-	iter = iter->dyn_cast_cast_region2 ()->get_original_region ();
+	iter = iter->dyn_cast_cast_region ()->get_original_region ();
       else
 	iter = iter->get_parent_region ();
     }
@@ -1606,9 +1413,9 @@ region2::maybe_get_frame_region () const
 /* FIXME.  */
 
 tree
-region2::maybe_get_decl () const
+region::maybe_get_decl () const
 {
-  if (const decl_region2 *decl_reg = dyn_cast_decl_region2 ())
+  if (const decl_region *decl_reg = dyn_cast_decl_region ())
     return decl_reg->get_decl ();
   return NULL_TREE;
 }
@@ -1616,7 +1423,7 @@ region2::maybe_get_decl () const
 /* FIXME.  */
 
 region_offset
-region2::get_offset () const
+region::get_offset () const
 {
   if(!m_cached_offset)
     m_cached_offset = new region_offset (calc_offset ());
@@ -1626,7 +1433,7 @@ region2::get_offset () const
 /* FIXME.  */
 
 bool
-region2::get_byte_size (byte_size_t *out) const
+region::get_byte_size (byte_size_t *out) const
 {
   tree type = get_type ();
 
@@ -1655,7 +1462,7 @@ region2::get_byte_size (byte_size_t *out) const
 /* FIXME.  */
 
 bool
-region2::get_bit_size (bit_size_t *out) const
+region::get_bit_size (bit_size_t *out) const
 {
   byte_size_t byte_size;
   if (!get_byte_size (&byte_size))
@@ -1702,11 +1509,11 @@ get_field_at_bit_offset (tree record_type, bit_offset_t bit_offset)
    its parent?   */
 
 void
-region2::get_subregions_for_binding (region_model2_manager *mgr,
+region::get_subregions_for_binding (region_model_manager *mgr,
 				     bit_offset_t relative_bit_offset,
 				     bit_size_t size_in_bits,
 				     tree type,
-				     auto_vec <const region2 *> *out) const
+				     auto_vec <const region *> *out) const
 {
   if (get_type () == NULL_TREE)
     return;
@@ -1747,9 +1554,9 @@ region2::get_subregions_for_binding (region_model2_manager *mgr,
 	      = relative_bit_offset.to_shwi () % bits_per_element;
 	    // FIXME: type ^^^^
 #endif
-	    const region2 *subregion = mgr->get_element_region
+	    const region *subregion = mgr->get_element_region
 	      (this, element_type,
-	       mgr->get_or_create_constant_svalue2 (element_index_cst));
+	       mgr->get_or_create_constant_svalue (element_index_cst));
 	    subregion->get_subregions_for_binding (mgr, inner_bit_offset,
 						   size_in_bits, type, out);
 	  }
@@ -1766,7 +1573,7 @@ region2::get_subregions_for_binding (region_model2_manager *mgr,
 						  relative_bit_offset))
 	  {
 	    int field_bit_offset = int_bit_position (field);
-	    const region2 *subregion = mgr->get_field_region (this, field);
+	    const region *subregion = mgr->get_field_region (this, field);
 	    subregion->get_subregions_for_binding
 	      (mgr, relative_bit_offset - field_bit_offset,
 	       size_in_bits, type, out);
@@ -1778,7 +1585,7 @@ region2::get_subregions_for_binding (region_model2_manager *mgr,
 	for (tree field = TYPE_FIELDS (get_type ()); field != NULL_TREE;
 	     field = DECL_CHAIN (field))
 	  {
-	    const region2 *subregion = mgr->get_field_region (this, field);
+	    const region *subregion = mgr->get_field_region (this, field);
 	    subregion->get_subregions_for_binding (mgr,
 						   relative_bit_offset,
 						   size_in_bits,
@@ -1796,9 +1603,9 @@ region2::get_subregions_for_binding (region_model2_manager *mgr,
 /* FIXME.  */
 
 region_offset
-region2::calc_offset () const
+region::calc_offset () const
 {
-  const region2 *iter_region = this;
+  const region *iter_region = this;
   bit_offset_t accum_bit_offset = 0;
 
   while (iter_region)
@@ -1807,13 +1614,13 @@ region2::calc_offset () const
 	{
 	case RK_FIELD:
 	  {
-	    const field_region2 *field_region
-	      = (const field_region2 *)iter_region;
+	    const field_region *field_reg
+	      = (const field_region *)iter_region;
 	    iter_region = iter_region->get_parent_region ();
 
 	    /* Compare with e.g. gimple-fold.c's
 	       fold_nonarray_ctor_reference.  */
-	    tree field = field_region->get_field ();
+	    tree field = field_reg->get_field ();
 	    tree byte_offset = DECL_FIELD_OFFSET (field);
 	    tree field_offset = DECL_FIELD_BIT_OFFSET (field);
 	    /* Compute bit offset of the field.  */
@@ -1826,16 +1633,16 @@ region2::calc_offset () const
 
 	case RK_ELEMENT:
 	  {
-	    const element_region2 *element_region
-	      = (const element_region2 *)iter_region;
+	    const element_region *element_reg
+	      = (const element_region *)iter_region;
 	    iter_region = iter_region->get_parent_region ();
 
 	    if (tree idx_cst
-		  = element_region->get_index ()->maybe_get_constant ())
+		  = element_reg->get_index ()->maybe_get_constant ())
 	      {
 		gcc_assert (TREE_CODE (idx_cst) == INTEGER_CST);
 
-		tree elem_type = element_region->get_type ();
+		tree elem_type = element_reg->get_type ();
 
 		// FIXME:
 #if 0
@@ -1867,12 +1674,12 @@ region2::calc_offset () const
 
 	case RK_OFFSET:
 	  {
-	    const offset_region2 *offset_region
-	      = (const offset_region2 *)iter_region;
+	    const offset_region *offset_reg
+	      = (const offset_region *)iter_region;
 	    iter_region = iter_region->get_parent_region ();
 
 	    if (tree byte_offset_cst
-		  = offset_region->get_byte_offset ()->maybe_get_constant ())
+		  = offset_reg->get_byte_offset ()->maybe_get_constant ())
 	      {
 		gcc_assert (TREE_CODE (byte_offset_cst) == INTEGER_CST);
 		/* Use a signed value for the byte offset, to handle
@@ -1892,17 +1699,17 @@ region2::calc_offset () const
 	  {
 	    /* Get the offset of a region identified symbolically from a
 	       pointer svalue.  */
-	    const symbolic_region2 *symbolic_region
-	      = (const symbolic_region2 *)iter_region;
-	    const svalue2 *sval = symbolic_region->get_pointer ();
+	    const symbolic_region *symbolic_reg
+	      = (const symbolic_region *)iter_region;
+	    const svalue *sval = symbolic_reg->get_pointer ();
 	    switch (sval->get_kind ())
 	      {
 	      default:
 		gcc_unreachable ();
-	      case svalue2::SK_BINOP:
+	      case svalue::SK_BINOP:
 		{
-		  const binop_svalue2 *binop_sval
-		    = as_a <const binop_svalue2 *> (sval);
+		  const binop_svalue *binop_sval
+		    = as_a <const binop_svalue *> (sval);
 		  switch (binop_sval->get_op ())
 		    {
 		    default:
@@ -1912,12 +1719,12 @@ region2::calc_offset () const
 			// FIXME:
 			/* If we have a symbolic value expressing pointer arithmentic,
 			   try to convert it to a suitable region.  */
-			/* FIXME: but should it be an element_region2?  that expresses
+			/* FIXME: but should it be an element_region?  that expresses
 			   things via element indices, rather than via byte offsets.  */
 			/* Perhaps instead we should capture this as an offset relative
 			   to a base region in region_offset?  */
-			const svalue2 *ptr = binop_sval->get_arg0 ();
-			const svalue2 *offset = binop_sval->get_arg1 ();
+			const svalue *ptr = binop_sval->get_arg0 ();
+			const svalue *offset = binop_sval->get_arg1 ();
 			gcc_unreachable ();
 		      }
 		    }
@@ -1930,8 +1737,8 @@ region2::calc_offset () const
 
 	case RK_CAST:
 	  {
-	    const cast_region2 *cast_reg
-	      = as_a <const cast_region2 *> (iter_region);
+	    const cast_region *cast_reg
+	      = as_a <const cast_region *> (iter_region);
 	    iter_region = cast_reg->get_original_region ();
 	  }
 	  continue;
@@ -1943,247 +1750,32 @@ region2::calc_offset () const
   return region_offset::make_concrete (iter_region, accum_bit_offset);
 }
 
-/* Set this region2's value to RHS_SVAL (or potentially a variant of it,
-   for some kinds of casts).  */
-#if 0
-void
-region2::set_value (region_model2 &model, region2 *lhs_reg, const svalue2 *rhs_sval,
-		    region_model2_context *ctxt)
-{
-  gcc_unreachable ();
-  /* Handle some kinds of casting.  */
-  if (m_type)
-    {
-      const svalue2 *sval = model.get_svalue2 (rhs_sval);
-      if (sval->get_type ())
-	rhs_sval = model.maybe_cast (m_type, rhs_sval, ctxt);
-
-      sval = model.get_svalue2 (rhs_sval);
-      if (sval->get_type ())
-	gcc_assert (m_type == sval->get_type ());
-    }
-
-  m_sval_id = rhs_sval;
-
-  /* Update views.
-     If this is a view, it becomes its parent's active view.
-     If there was already an active views, invalidate its value; otherwise
-     if the parent itself had a value, invalidate it.
-     If it's not a view, then deactivate any view that is active on this
-     region2.  */
-  {
-    if (m_is_view)
-      become_active_view (model, this_reg);
-    else
-      {
-	deactivate_any_active_view (model);
-	gcc_assert (m_active_view_reg.null_p ());
-      }
-  }
-}
-#endif
-
-
-#if 0
-/* Make this region2 (with id THIS_REG) the "active" view of its parent.
-   Any other active view has its value set to "unknown" and descendent values
-   cleared.
-   If there wasn't an active view, then set the parent's value to unknown, and
-   clear its descendent values (apart from this view).  */
-void
-region2::become_active_view (region_model2 &model, region2_id this_reg)
-{
-  gcc_assert (m_is_view);
-
-  region2 *parent_reg = model.get_region2 (m_parent_reg);
-  gcc_assert (parent_reg);
-
-  region2_id old_active_view_reg = parent_reg->m_active_view_reg;
-
-  if (old_active_view_reg == this_reg)
-    {
-      /* Already the active view: do nothing.  */
-      return;
-    }
-
-  /* We have a change of active view.  */
-  parent_reg->m_active_view_reg = this_reg;
-
-  if (old_active_view_reg.null_p ())
-    {
-      /* No previous active view, but the parent and its other children
-	 might have values.
-	 If so, invalidate those values - but not that of the new view.  */
-      region2_id_set below_region2 (&model);
-      model.get_descendents (m_parent_reg, &below_region2, this_reg);
-      for (unsigned i = 0; i < model.get_num_region2s (); i++)
-	{
-	  region2_id rid (region2_id::from_int (i));
-	  if (below_region2.region2_p (rid))
-	    {
-	      region2 *other_reg = model.get_region2 (rid);
-	      other_reg->m_sval_id = svalue2_id::null ();
-	    }
-	}
-      region2 *parent = model.get_region2 (m_parent_reg);
-      parent->m_sval_id
-	= model.add_svalue2 (new unknown_svalue2 (parent->get_type ()));
-    }
-  else
-    {
-      /* If there was an active view, invalidate it.  */
-      region2 *old_active_view = model.get_region2 (old_active_view_reg);
-      old_active_view->deactivate_view (model, old_active_view_reg);
-    }
-}
-
-/* If this region2 (with id THIS_REG) has an active view, deactivate it,
-   clearing m_active_view_reg.  */
-
-void
-region2::deactivate_any_active_view (region_model2 &model)
-{
-  if (m_active_view_reg.null_p ())
-    return;
-  region2 *view = model.get_region2 (m_active_view_reg);
-  view->deactivate_view (model, m_active_view_reg);
-  m_active_view_reg = region2_id::null ();
-}
-
-/* Clear any values for region2s below THIS_REG.
-   Set the view's value to unknown.  */
-
-void
-region2::deactivate_view (region_model2 &model, region2_id this_view_reg)
-{
-  gcc_assert (is_view_p ());
-
-  /* Purge values from old_active_this_view_reg and all its
-     descendents.  Potentially we could use a poison value
-     for this, but let's use unknown for now.  */
-  region2_id_set below_view (&model);
-  model.get_descendents (this_view_reg, &below_view, region2_id::null ());
-
-  for (unsigned i = 0; i < model.get_num_region2s (); i++)
-    {
-      region2_id rid (region2_id::from_int (i));
-      if (below_view.region2_p (rid))
-	{
-	  region2 *other_reg = model.get_region2 (rid);
-	  other_reg->m_sval_id = svalue2_id::null ();
-	}
-    }
-
-  m_sval_id = model.add_svalue2 (new unknown_svalue2 (get_type ()));
-}
-#endif
-
-/* Get a value for this region2, either its value if it has one,
-   or, failing that, "inherit" a value from first ancestor with a
-   non-null value.
-
-   For example, when getting the value for a local variable within
-   a stack frame that doesn't have one, the frame doesn't have a value
-   either, but the stack as a whole will have an "uninitialized" poison
-   value, so inherit that.  */
-#if 0
-svalue2_id
-region2::get_value (region_model2 &model, bool non_null,
-		   region_model2_context *ctxt)
-{
-  /* If this region2 has a value, use it. */
-  if (!m_sval_id.null_p ())
-    return m_sval_id;
-
-  /* Otherwise, "inherit" value from first ancestor with a
-     non-null value. */
-
-  region2 *parent = model.get_region2 (m_parent_reg);
-  if (parent)
-    {
-      svalue2_id inherited_sval
-	= parent->get_inherited_child_sval (this, model, ctxt);
-      if (!inherited_sval.null_p ())
-	return inherited_sval;
-    }
-
-  /* If a non-null value has been requested, then generate
-     a new unknown value.  Store it, so that repeated reads from this
-     region2 will yield the same unknown value.  */
-  if (non_null)
-    {
-      svalue2_id unknown_sval = model.add_svalue2 (new unknown_svalue2 (m_type));
-      m_sval_id = unknown_sval;
-      return unknown_sval;
-    }
-
-  return svalue2_id::null ();
-}
-
-/* Get a value for CHILD, inheriting from this region2.
-
-   Recurse, so this region2 will inherit a value if it doesn't already
-   have one.  */
-
-svalue2_id
-region2::get_inherited_child_sval (region2 *child,
-				 region_model2 &model,
-				 region_model2_context *ctxt)
-{
-  if (m_sval_id.null_p ())
-    {
-      /* Recurse.  */
-      if (!m_parent_reg.null_p ())
-	{
-	  region2 *parent = model.get_region2 (m_parent_reg);
-	  m_sval_id = parent->get_inherited_child_sval (this, model, ctxt);
-	}
-    }
-
-  if (!m_sval_id.null_p ())
-    {
-      /* Clone the parent's value, so that attempts to update it
-	 (e.g giving a specific value to an inherited "uninitialized"
-	 value) touch the child, and not the parent.  */
-      const svalue2 *this_value = model.get_svalue2 (m_sval_id);
-      svalue2_id new_child_sval
-	= this_value->get_child_sval (this, child, model, ctxt);
-      if (ctxt)
-	ctxt->on_inherited_svalue2 (m_sval_id, new_child_sval);
-      child->m_sval_id = new_child_sval;
-      return new_child_sval;
-    }
-
-  return svalue2_id::null ();
-}
-#endif
-
 // FIXME:
 /* Copy from SRC_REG to DST_REG, using CTXT for any issues that occur.
-   Copy across any value for the region2, and handle structs, unions
+   Copy across any value for the region, and handle structs, unions
    and arrays recursively.  */
 
 void
-region_model2::copy_region (const region2 *dst_reg, const region2 *src_reg,
-			    region_model2_context *ctxt)
+region_model::copy_region (const region *dst_reg, const region *src_reg,
+			    region_model_context *ctxt)
 {
   gcc_assert (dst_reg);
   gcc_assert (src_reg);
   if (dst_reg == src_reg)
     return;
 
-  const svalue2 *sval = get_store_value (src_reg);
+  const svalue *sval = get_store_value (src_reg);
   set_value (dst_reg, sval, ctxt);
 
 #if 0
-  /* Copy across any value for the src region2 itself.  */
-  const svalue2 *sval = src_reg->get_value (*this, true, ctxt);
+  /* Copy across any value for the src region itself.  */
+  const svalue *sval = src_reg->get_value (*this, true, ctxt);
   set_value (dst_reg, sid, ctxt);
 
   if (dst_reg->get_kind () != src_reg->get_kind ())
     return;
 
-  /* Copy across child region2s for structs, unions, and arrays.  */
+  /* Copy across child regions for structs, unions, and arrays.  */
   // FIXME
   switch (dst_reg->get_kind ())
     {
@@ -2201,142 +1793,19 @@ region_model2::copy_region (const region2 *dst_reg, const region2 *src_reg,
 #endif
 }
 
-/* Generate a hash value for this region2.  The work is done by the
+/* Generate a hash value for this region.  The work is done by the
    add_to_hash vfunc.  */
 
 hashval_t
-region2::hash () const
+region::hash () const
 {
   inchash::hash hstate;
   add_to_hash (hstate);
   return hstate.end ();
 }
 
-/* Print a one-liner representation of this region2 to PP, assuming
-   that this region2 is within MODEL and its id is THIS_REG.  */
-#if 0
-void
-region2::print (const region_model2 &model,
-	       region2_id this_reg,
-	       pretty_printer *pp) const
-{
-  this_reg.print (pp);
-  pp_string (pp, ": {");
-
-  /* vfunc.  */
-  print_fields (model, this_reg, pp);
-
-  pp_string (pp, "}");
-}
-#endif
-
-/* Base class implementation of region2::dump_dot_to_pp vfunc.  */
-#if 0
-void
-region2::dump_dot_to_pp (const region_model2 &model,
-			region2_id this_reg,
-			pretty_printer *pp) const
-{
-  this_reg.dump_node_name_to_pp (pp);
-  pp_printf (pp, " [shape=none,margin=0,style=filled,fillcolor=%s,label=\"",
-	     "lightgrey");
-  pp_write_text_to_stream (pp);
-  print (model, this_reg, pp);
-  pp_write_text_as_dot_label_to_stream (pp, /*for_record=*/false);
-  pp_string (pp, "\"];");
-  pp_newline (pp);
-
-  /* Add edge to svalue2.  */
-  if (!m_sval_id.null_p ())
-    {
-      this_reg.dump_node_name_to_pp (pp);
-      pp_string (pp, " -> ");
-      m_sval_id.dump_node_name_to_pp (pp);
-      pp_string (pp, ";");
-      pp_newline (pp);
-    }
-
-  /* Add edge to parent.  */
-  if (!m_parent_reg.null_p ())
-    {
-      this_reg.dump_node_name_to_pp (pp);
-      pp_string (pp, " -> ");
-      m_parent_reg.dump_node_name_to_pp (pp);
-      pp_string (pp, ";");
-      pp_newline (pp);
-    }
-}
-#endif
-
-/* Dump a tree-like ASCII-art representation of this region2 to PP.  */
-#if 0
-void
-region2::dump_to_pp (const region_model2 &model,
-		    region2_id this_reg,
-		    pretty_printer *pp,
-		    const char *prefix,
-		    bool is_last_child) const
-{
-  print (model, this_reg, pp);
-  pp_newline (pp);
-
-  const char *new_prefix;
-  if (!m_parent_reg.null_p ())
-    new_prefix = ACONCAT ((prefix, is_last_child ? "  " : "|  ", NULL));
-  else
-    new_prefix = prefix;
-
-  const char *begin_color = colorize_start (pp_show_color (pp), "note");
-  const char *end_color = colorize_stop (pp_show_color (pp));
-  char *field_prefix
-    = ACONCAT ((begin_color, new_prefix, "|:", end_color, NULL));
-
-  if (!m_sval_id.null_p ())
-    {
-      pp_printf (pp, "%s sval: ", field_prefix);
-      model.get_svalue2 (m_sval_id)->print (model, m_sval_id, pp);
-      pp_newline (pp);
-    }
-  if (m_type)
-    {
-      pp_printf (pp, "%s type: ", field_prefix);
-      print_quoted_type (pp, m_type);
-      pp_newline (pp);
-    }
-
-  /* Find the children.  */
-
-  auto_vec<region2_id> child_regs;
-  unsigned i;
-  for (unsigned i = 0; i < model.get_num_region2s (); ++i)
-    {
-      region2_id rid = region2_id::from_int (i);
-      region2 *child = model.get_region2 (rid);
-      if (child->m_parent_reg == this_reg)
-	child_regs.safe_push (rid);
-    }
-
-  /* Print the children, using dump_child_label to label them.  */
-
-  region2_id *child_reg;
-  FOR_EACH_VEC_ELT (child_regs, i, child_reg)
-    {
-      is_last_child = (i == child_regs.length () - 1);
-      if (!this_reg.null_p ())
-	{
-	  const char *tail = is_last_child ? "`-" : "|-";
-	  pp_printf (pp, "%r%s%s%R", "note", new_prefix, tail);
-	}
-      dump_child_label (model, this_reg, *child_reg, pp);
-      model.get_region2 (*child_reg)->dump_to_pp (model, *child_reg, pp,
-						 new_prefix,
-						 is_last_child);
-    }
-}
-#endif
-
 DEBUG_FUNCTION void
-region2::dump (bool simple) const
+region::dump (bool simple) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -2350,7 +1819,7 @@ region2::dump (bool simple) const
 /* FIXME.  */
 
 DEBUG_FUNCTION label_text
-region2::get_desc (bool simple) const
+region::get_desc (bool simple) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
